Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.remote.hessian.service
Class HessianServlet

    java.lang.Object
      javax.servlet.GenericServlet
          com.caucho.hessian.server.HessianServlet
              org.apache.cayenne.remote.hessian.service.HessianServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class HessianServlet

extends com.caucho.hessian.server.HessianServlet

An extension of the `com.caucho.hessian.server.HessianServlet` that installs default Cayenne handlers, simplifying `web.xml` configuration. Here is a sample configuration:

            <servlet>
              <servlet-name>cayenne</servlet-name>
              <servlet-class>org.apache.cayenne.remote.hessian.service.HessianServlet</servlet-class>
            </servlet>

            <servlet-mapping>
              <servlet-name>cayenne</servlet-name>
              <url-pattern>/cayenne</url-pattern>
            </servlet-mapping>

Custom service class and interface can be specified in a manner compatible with Hessian recommendations, namely via service-class and api-class servlet parameters.

Since:
  1.2
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Constructor Summary
`HessianServlet()`

Method Summary
`protected Class` | `createAPIClass(ServletConfig config)`
`protected HessianService` | `createService(ServletConfig config)`
`void` | `init(ServletConfig config)` Installs `HessianService` to respond to `RemoteService` requests.

Methods inherited from class com.caucho.hessian.server.HessianServlet
`getAPIClass, getSerializerFactory, getServletInfo, service, setAPIClass, setHome, setHomeAPI, setObject, setObjectAPI, setSendCollectionType, setSerializerFactory, setService`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HessianServlet

    public HessianServlet()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  Installs `HessianService` to respond to `RemoteService` requests.

  Specified by:
    `init` in interface `Servlet`
  Overrides:
    `init` in class `com.caucho.hessian.server.HessianServlet`
  Throws:
    `ServletException`

### createService

    protected HessianService createService(ServletConfig config)
                                    throws ServletException

  Throws:
    `ServletException`

### createAPIClass

    protected Class createAPIClass(ServletConfig config)
                            throws ServletException

  Throws:
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.